Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - s -

- s : _d, BigStruct, DateData, OnigToken, OptExactInfo, Rect, st_str_end_key, StrNode
- sa : getnameinfo_arg
- salen : getnameinfo_arg
- sane : inflate_state
- sarg : udp_send_arg
- saved : constat
- saved_ec : rb_context_struct
- saved_vm_stack : rb_context_struct
- sc_state : iseq_insn_data, iseq_label_data
- scan_env : OptEnv
- schar : fiddle_generic
- scheduler : rb_thread_struct, wait_for_single_fd
- scope_visi : rb_cref_struct
- score : input_code
- script : load_file_arg, ruby_cmdline_options
- script_name : ruby_cmdline_options
- sec : tmx_funcs
- sec_fraction : tmx_funcs
- secs : tmx_funcs
- seed : rb_random_struct
- seek : gz_state
- seekoff() : gzfilebuf
- seg : malloc_state
- self : asynchronous_arg_t, rb_captured_block, rb_context_struct, rb_control_frame_struct, rb_io_t, rb_ractor_pub, rb_thread_struct, rb_tp_struct, rb_trace_arg_struct, rb_vm_struct, struct_hash_set_arg, sync_waiter
- sender : rb_ractor_basket
- sep_pat : slicebefore_arg
- sep_pred : slicebefore_arg
- seq : constat
- serial : rb_ractor_queue
- serv : getnameinfo_arg, inetsock_arg
- service : getaddrinfo_arg
- servlen : getnameinfo_arg
- set : iseq_label_data, rb_ractor_struct, rb_vm_struct, ruby_features_t
- setbuf() : gzfilebuf
- setcompression() : gzfilebuf
- setcompressionlevel() : gzfilebuf, gzfilestream_common
- setcompressionstrategy() : gzfilebuf, gzfilestream_common
- setids : ruby_cmdline_options
- setter : rb_global_variable
- sf : ComplexDateData
- sflag : ruby_cmdline_options
- sflags : malloc_segment
- sg : ComplexDateData, SimpleDateData
- sh : rb_execarg
- shape : rb_memory_view_t
- shared : RString
- shared_root : RArray
- shell_script : rb_execarg
- shift_n : cparse_params
- showmanyc() : gzfilebuf
- si : _OnigStackType, test_structure_3
- si_family : sockinet
- si_len : sockinet
- si_port : sockinet
- sign : Bigint, Real
- sigwait_fd : select_set
- since : dump_config
- sint : fiddle_generic
- sip : hash_salt_t
- size : coroutine_context, dh_blocking_gen_arg, DIR, dsa_blocking_gen_arg, enumerator, fiber_pool, fiber_pool_allocation, fiber_pool_stack, file, gz_state, ibf_header, ibf_load_buffer, iseq_compile_data_storage, lazyenum_funcs, malloc_obj_info, malloc_segment, pinned_list, ptr_data, rb_iseq_constant_body::iseq_insn_info, rb_iseq_constant_body, rb_memory_view_item_component_t, rb_objspace, rb_ractor_queue, rb_ractor_waiting_list, rsa_blocking_gen_arg, string_t, tar_header
- size_central_dir : unz64_s
- size_centralExtra : curfile64_info
- size_centralExtraFree : curfile64_info
- size_centralheader : curfile64_info
- size_comment : unz_global_info64_s, unz_global_info_s
- size_file_comment : unz_file_info64_s, unz_file_info_s
- size_file_extra : unz_file_info64_s, unz_file_info_s
- size_filename : unz_file_info64_s, unz_file_info_s
- size_fn : enumerator
- size_ind : st_features, st_table
- size_local_extrafield : file_in_zip64_read_info_s
- skip : gz_state
- slave : child_info
- slavename : child_info
- sleeper : rb_ractor_struct
- slen : cont_saved_vm_stack, ibf_object_bignum
- slong : fiddle_generic
- smallbins : malloc_state
- smallmap : malloc_state
- smblks : mallinfo
- sname : transcoder_entry_t
- sock : inetsock_arg
- sockaddr : accept_arg, connect_arg
- sockaddr_len : rb_addrinfo_t
- socktype : rb_addrinfo_t
- sort : ruby_glob_entries_t
- sorted : rb_objspace
- sorted_length : rb_objspace
- source : JSON_ParserStruct
- source_encoding : rb_econv_t
- source_encoding_name : rb_econv_t
- sourcefile : ScanEnv
- sourceline : rb_strterm_heredoc_struct, ScanEnv
- sp : iseq_catch_table_entry, iseq_label_data, rb_control_frame_struct
- space : JSON_Generator_StateStruct, mapping_buffer
- space_before : JSON_Generator_StateStruct
- space_before_len : JSON_Generator_StateStruct
- space_len : JSON_Generator_StateStruct
- special_const : ibf_object_header
- special_exceptions : rb_vm_struct
- specialized_instruction : rb_compile_option_struct
- sq : queue_waiter
- src : copy_stream_struct, load_arg, obj_traverse_replace_callback_data, rename_args, RRegexp, ruby_cmdline_options, zstream_run_args
- src_encoding : rb_transcoder
- src_encoding_index : rb_vm_struct
- src_fd : copy_stream_struct
- src_offset : copy_stream_struct
- src_stat : copy_stream_struct
- srcstr : ibf_object_regexp
- ss : BigStruct
- ss_family : sockaddr_storage
- sshort : fiddle_generic
- ssl_obj : tmp_dh_callback_args
- st : no_gvl_stat_data, RHash, w32_io_info_args
- st_atime : stati128
- st_atimensec : stati128
- st_ctime : stati128
- st_ctimensec : stati128
- st_dev : stati128
- st_gid : stati128
- st_ino : stati128
- st_inohigh : stati128
- st_mode : stati128
- st_mtime : stati128
- st_mtimensec : stati128
- st_nlink : stati128
- st_rdev : stati128
- st_size : stati128
- st_uid : stati128
- stack : coroutine_context, fiber_pool_vacancy, rb_context_struct, rb_fiber_struct
- stack_caching : rb_compile_option_struct
- stack_end : rb_execution_context_struct
- stack_max : rb_iseq_constant_body
- stack_maxsize : rb_execution_context_struct
- stack_n : OnigMatchArg
- stack_p : OnigMatchArg
- stack_pointer : coroutine_context
- stack_pop_level : re_pattern_buffer
- stack_size : rb_context_struct
- stack_src : rb_context_struct
- stack_start : rb_execution_context_struct
- stackaddr : asynchronous_arg_t
- stale_p : rb_mjit_unit
- start : _OnigStackType, DIR, gz_state, heap_page, iseq_catch_table_entry, OnigMatchArg, rb_ractor_queue
- start_label : iseq_compile_data
- started : rb_econv_t
- stat : input_code
- stat_desc : tree_desc_s
- stat_insn_usage : rb_thread_struct
- state : _OnigStackType, _SHA256_CTX, _SHA512_CTX, autoload_data_i, BRefNode, CallNode, constat, coroutine_context, cparse_params, EncloseNode, hash_foreach_arg, kwtable, md5_state_s, MEMO, MT, ossl_generate_cb_arg, parser_params, QtfrNode, rb_transcoding, rb_vm_tag, RMD160_CTX, RNode, SHA1_CTX, sip_hash, z_stream_s
- state_fini_func : rb_transcoder
- state_init_func : rb_transcoder
- state_size : rb_transcoder
- static_len : internal_state
- static_tree : static_tree_desc_s
- status : internal_state, rb_process_status, rb_ractor_sync::ractor_wait, waitpid_state
- status_ : rb_ractor_struct
- status_func : input_code
- std_gc_buf : nkf_state_t
- stdio_file : rb_io_t
- step : arith_seq_gen, rb_arithmetic_sequence_components_t
- stop : big_div_struct, obj_traverse_callback_data, obj_traverse_replace_callback_data
- stop_exc : enumerator
- stophere : enc_synmane_type_leading_chars_tag
- stopped : rb_obj_traverse_final_data
- storage : union_sockaddr
- storage_current : iseq_compile_data
- storage_head : iseq_compile_data
- store_ctx : ossl_verify_cb_args
- stored : log
- str : _Node, _NtCmdLineElement, binwrite_arg, dump_arg, eval_string_wrap_arg, glob_pattern, ibf_dump_buffer, ibf_load, ibf_object_symbol, recvfrom_arg, RMatch, string_t, strscanner, write_arg
- str_ptr : bufread_arg
- str_sym : rb_symbols_t
- str_table : traceobj_arg
- strary : rb_backtrace_struct
- strategy : gz_state, internal_state
- stream : curfile64_info, dump_config, file_in_zip64_read_info_s, zstream
- stream_initialised : curfile64_info, file_in_zip64_read_info_s
- stream_output : zstream_run_args
- stride : fiber_pool_allocation
- strides : rb_memory_view_t
- string : dump_config, RVALUE, StringIO
- stringpool_str10 : stringpool_t
- stringpool_str100 : stringpool_t
- stringpool_str101 : stringpool_t
- stringpool_str102 : stringpool_t
- stringpool_str103 : stringpool_t
- stringpool_str104 : stringpool_t
- stringpool_str105 : stringpool_t
- stringpool_str106 : stringpool_t
- stringpool_str107 : stringpool_t
- stringpool_str108 : stringpool_t
- stringpool_str109 : stringpool_t
- stringpool_str11 : stringpool_t
- stringpool_str110 : stringpool_t
- stringpool_str111 : stringpool_t
- stringpool_str113 : stringpool_t
- stringpool_str114 : stringpool_t
- stringpool_str116 : stringpool_t
- stringpool_str117 : stringpool_t
- stringpool_str119 : stringpool_t
- stringpool_str12 : stringpool_t
- stringpool_str120 : stringpool_t
- stringpool_str121 : stringpool_t
- stringpool_str122 : stringpool_t
- stringpool_str123 : stringpool_t
- stringpool_str124 : stringpool_t
- stringpool_str125 : stringpool_t
- stringpool_str126 : stringpool_t
- stringpool_str127 : stringpool_t
- stringpool_str128 : stringpool_t
- stringpool_str129 : stringpool_t
- stringpool_str13 : stringpool_t
- stringpool_str130 : stringpool_t
- stringpool_str131 : stringpool_t
- stringpool_str132 : stringpool_t
- stringpool_str133 : stringpool_t
- stringpool_str134 : stringpool_t
- stringpool_str135 : stringpool_t
- stringpool_str137 : stringpool_t
- stringpool_str14 : stringpool_t
- stringpool_str143 : stringpool_t
- stringpool_str144 : stringpool_t
- stringpool_str145 : stringpool_t
- stringpool_str146 : stringpool_t
- stringpool_str147 : stringpool_t
- stringpool_str148 : stringpool_t
- stringpool_str149 : stringpool_t
- stringpool_str15 : stringpool_t
- stringpool_str150 : stringpool_t
- stringpool_str151 : stringpool_t
- stringpool_str154 : stringpool_t
- stringpool_str158 : stringpool_t
- stringpool_str16 : stringpool_t
- stringpool_str160 : stringpool_t
- stringpool_str161 : stringpool_t
- stringpool_str162 : stringpool_t
- stringpool_str163 : stringpool_t
- stringpool_str164 : stringpool_t
- stringpool_str167 : stringpool_t
- stringpool_str169 : stringpool_t
- stringpool_str17 : stringpool_t
- stringpool_str170 : stringpool_t
- stringpool_str171 : stringpool_t
- stringpool_str172 : stringpool_t
- stringpool_str173 : stringpool_t
- stringpool_str174 : stringpool_t
- stringpool_str175 : stringpool_t
- stringpool_str176 : stringpool_t
- stringpool_str177 : stringpool_t
- stringpool_str178 : stringpool_t
- stringpool_str179 : stringpool_t
- stringpool_str18 : stringpool_t
- stringpool_str181 : stringpool_t
- stringpool_str182 : stringpool_t
- stringpool_str183 : stringpool_t
- stringpool_str184 : stringpool_t
- stringpool_str185 : stringpool_t
- stringpool_str186 : stringpool_t
- stringpool_str187 : stringpool_t
- stringpool_str188 : stringpool_t
- stringpool_str189 : stringpool_t
- stringpool_str19 : stringpool_t
- stringpool_str190 : stringpool_t
- stringpool_str191 : stringpool_t
- stringpool_str192 : stringpool_t
- stringpool_str193 : stringpool_t
- stringpool_str194 : stringpool_t
- stringpool_str195 : stringpool_t
- stringpool_str197 : stringpool_t
- stringpool_str198 : stringpool_t
- stringpool_str199 : stringpool_t
- stringpool_str2 : stringpool_t
- stringpool_str20 : stringpool_t
- stringpool_str200 : stringpool_t
- stringpool_str201 : stringpool_t
- stringpool_str202 : stringpool_t
- stringpool_str203 : stringpool_t
- stringpool_str204 : stringpool_t
- stringpool_str205 : stringpool_t
- stringpool_str206 : stringpool_t
- stringpool_str207 : stringpool_t
- stringpool_str209 : stringpool_t
- stringpool_str21 : stringpool_t
- stringpool_str211 : stringpool_t
- stringpool_str212 : stringpool_t
- stringpool_str214 : stringpool_t
- stringpool_str215 : stringpool_t
- stringpool_str216 : stringpool_t
- stringpool_str217 : stringpool_t
- stringpool_str218 : stringpool_t
- stringpool_str219 : stringpool_t
- stringpool_str22 : stringpool_t
- stringpool_str220 : stringpool_t
- stringpool_str221 : stringpool_t
- stringpool_str223 : stringpool_t
- stringpool_str224 : stringpool_t
- stringpool_str225 : stringpool_t
- stringpool_str227 : stringpool_t
- stringpool_str228 : stringpool_t
- stringpool_str229 : stringpool_t
- stringpool_str23 : stringpool_t
- stringpool_str230 : stringpool_t
- stringpool_str231 : stringpool_t
- stringpool_str232 : stringpool_t
- stringpool_str234 : stringpool_t
- stringpool_str235 : stringpool_t
- stringpool_str238 : stringpool_t
- stringpool_str239 : stringpool_t
- stringpool_str24 : stringpool_t
- stringpool_str240 : stringpool_t
- stringpool_str242 : stringpool_t
- stringpool_str243 : stringpool_t
- stringpool_str244 : stringpool_t
- stringpool_str246 : stringpool_t
- stringpool_str247 : stringpool_t
- stringpool_str248 : stringpool_t
- stringpool_str249 : stringpool_t
- stringpool_str25 : stringpool_t
- stringpool_str250 : stringpool_t
- stringpool_str251 : stringpool_t
- stringpool_str252 : stringpool_t
- stringpool_str253 : stringpool_t
- stringpool_str255 : stringpool_t
- stringpool_str256 : stringpool_t
- stringpool_str258 : stringpool_t
- stringpool_str259 : stringpool_t
- stringpool_str26 : stringpool_t
- stringpool_str261 : stringpool_t
- stringpool_str262 : stringpool_t
- stringpool_str263 : stringpool_t
- stringpool_str264 : stringpool_t
- stringpool_str265 : stringpool_t
- stringpool_str266 : stringpool_t
- stringpool_str267 : stringpool_t
- stringpool_str268 : stringpool_t
- stringpool_str269 : stringpool_t
- stringpool_str27 : stringpool_t
- stringpool_str270 : stringpool_t
- stringpool_str271 : stringpool_t
- stringpool_str273 : stringpool_t
- stringpool_str274 : stringpool_t
- stringpool_str275 : stringpool_t
- stringpool_str276 : stringpool_t
- stringpool_str277 : stringpool_t
- stringpool_str279 : stringpool_t
- stringpool_str28 : stringpool_t
- stringpool_str280 : stringpool_t
- stringpool_str281 : stringpool_t
- stringpool_str284 : stringpool_t
- stringpool_str285 : stringpool_t
- stringpool_str286 : stringpool_t
- stringpool_str287 : stringpool_t
- stringpool_str288 : stringpool_t
- stringpool_str289 : stringpool_t
- stringpool_str29 : stringpool_t
- stringpool_str290 : stringpool_t
- stringpool_str293 : stringpool_t
- stringpool_str294 : stringpool_t
- stringpool_str295 : stringpool_t
- stringpool_str296 : stringpool_t
- stringpool_str297 : stringpool_t
- stringpool_str298 : stringpool_t
- stringpool_str3 : stringpool_t
- stringpool_str30 : stringpool_t
- stringpool_str300 : stringpool_t
- stringpool_str301 : stringpool_t
- stringpool_str302 : stringpool_t
- stringpool_str304 : stringpool_t
- stringpool_str306 : stringpool_t
- stringpool_str307 : stringpool_t
- stringpool_str308 : stringpool_t
- stringpool_str309 : stringpool_t
- stringpool_str31 : stringpool_t
- stringpool_str310 : stringpool_t
- stringpool_str311 : stringpool_t
- stringpool_str312 : stringpool_t
- stringpool_str313 : stringpool_t
- stringpool_str314 : stringpool_t
- stringpool_str315 : stringpool_t
- stringpool_str317 : stringpool_t
- stringpool_str319 : stringpool_t
- stringpool_str32 : stringpool_t
- stringpool_str324 : stringpool_t
- stringpool_str326 : stringpool_t
- stringpool_str327 : stringpool_t
- stringpool_str33 : stringpool_t
- stringpool_str330 : stringpool_t
- stringpool_str332 : stringpool_t
- stringpool_str334 : stringpool_t
- stringpool_str335 : stringpool_t
- stringpool_str338 : stringpool_t
- stringpool_str34 : stringpool_t
- stringpool_str342 : stringpool_t
- stringpool_str343 : stringpool_t
- stringpool_str344 : stringpool_t
- stringpool_str345 : stringpool_t
- stringpool_str347 : stringpool_t
- stringpool_str349 : stringpool_t
- stringpool_str35 : stringpool_t
- stringpool_str350 : stringpool_t
- stringpool_str351 : stringpool_t
- stringpool_str352 : stringpool_t
- stringpool_str353 : stringpool_t
- stringpool_str354 : stringpool_t
- stringpool_str358 : stringpool_t
- stringpool_str359 : stringpool_t
- stringpool_str36 : stringpool_t
- stringpool_str365 : stringpool_t
- stringpool_str367 : stringpool_t
- stringpool_str37 : stringpool_t
- stringpool_str375 : stringpool_t
- stringpool_str377 : stringpool_t
- stringpool_str378 : stringpool_t
- stringpool_str38 : stringpool_t
- stringpool_str387 : stringpool_t
- stringpool_str39 : stringpool_t
- stringpool_str391 : stringpool_t
- stringpool_str392 : stringpool_t
- stringpool_str395 : stringpool_t
- stringpool_str398 : stringpool_t
- stringpool_str399 : stringpool_t
- stringpool_str4 : stringpool_t
- stringpool_str40 : stringpool_t
- stringpool_str408 : stringpool_t
- stringpool_str41 : stringpool_t
- stringpool_str417 : stringpool_t
- stringpool_str418 : stringpool_t
- stringpool_str42 : stringpool_t
- stringpool_str421 : stringpool_t
- stringpool_str427 : stringpool_t
- stringpool_str428 : stringpool_t
- stringpool_str43 : stringpool_t
- stringpool_str432 : stringpool_t
- stringpool_str435 : stringpool_t
- stringpool_str44 : stringpool_t
- stringpool_str443 : stringpool_t
- stringpool_str445 : stringpool_t
- stringpool_str449 : stringpool_t
- stringpool_str45 : stringpool_t
- stringpool_str452 : stringpool_t
- stringpool_str455 : stringpool_t
- stringpool_str458 : stringpool_t
- stringpool_str46 : stringpool_t
- stringpool_str466 : stringpool_t
- stringpool_str468 : stringpool_t
- stringpool_str47 : stringpool_t
- stringpool_str476 : stringpool_t
- stringpool_str477 : stringpool_t
- stringpool_str48 : stringpool_t
- stringpool_str482 : stringpool_t
- stringpool_str485 : stringpool_t
- stringpool_str486 : stringpool_t
- stringpool_str49 : stringpool_t
- stringpool_str492 : stringpool_t
- stringpool_str497 : stringpool_t
- stringpool_str5 : stringpool_t
- stringpool_str50 : stringpool_t
- stringpool_str52 : stringpool_t
- stringpool_str53 : stringpool_t
- stringpool_str54 : stringpool_t
- stringpool_str540 : stringpool_t
- stringpool_str55 : stringpool_t
- stringpool_str563 : stringpool_t
- stringpool_str566 : stringpool_t
- stringpool_str567 : stringpool_t
- stringpool_str57 : stringpool_t
- stringpool_str58 : stringpool_t
- stringpool_str59 : stringpool_t
- stringpool_str60 : stringpool_t
- stringpool_str61 : stringpool_t
- stringpool_str619 : stringpool_t
- stringpool_str62 : stringpool_t
- stringpool_str63 : stringpool_t
- stringpool_str64 : stringpool_t
- stringpool_str65 : stringpool_t
- stringpool_str66 : stringpool_t
- stringpool_str67 : stringpool_t
- stringpool_str68 : stringpool_t
- stringpool_str70 : stringpool_t
- stringpool_str71 : stringpool_t
- stringpool_str72 : stringpool_t
- stringpool_str74 : stringpool_t
- stringpool_str75 : stringpool_t
- stringpool_str76 : stringpool_t
- stringpool_str77 : stringpool_t
- stringpool_str79 : stringpool_t
- stringpool_str8 : stringpool_t
- stringpool_str80 : stringpool_t
- stringpool_str81 : stringpool_t
- stringpool_str82 : stringpool_t
- stringpool_str84 : stringpool_t
- stringpool_str85 : stringpool_t
- stringpool_str88 : stringpool_t
- stringpool_str89 : stringpool_t
- stringpool_str9 : stringpool_t
- stringpool_str90 : stringpool_t
- stringpool_str91 : stringpool_t
- stringpool_str92 : stringpool_t
- stringpool_str93 : stringpool_t
- stringpool_str94 : stringpool_t
- stringpool_str95 : stringpool_t
- stringpool_str96 : stringpool_t
- stringpool_str97 : stringpool_t
- strm : gz_state, inflate_state, internal_state
- strstart : internal_state
- strterm : parser_params, YYSTYPE
- sub_anchor : re_pattern_buffer
- sub_offsets : rb_memory_view_t
- subclasses : rb_classext_struct
- SubstituteNameLength : rb_w32_reparse_buffer_t
- SubstituteNameOffset : rb_w32_reparse_buffer_t
- subtype : OnigToken
- succ_block : reg_named_capture_assign_t
- success : receive_block_data
- super : RClass
- svar : RVALUE
- sweeping_page : rb_heap_struct
- switch_cond : rb_global_vm_lock_struct
- switch_wait_cond : rb_global_vm_lock_struct
- sym_buf : internal_state
- sym_end : internal_state
- sym_next : internal_state
- symbol : huffman, rb_block
- SymbolicLinkReparseBuffer : rb_w32_reparse_buffer_t
- symbolize_names : JSON_ParserStruct
- symbols : dump_arg, load_arg
- sync() : gzfilebuf, rb_ractor_struct, rb_vm_struct
- syntax : OnigCompileInfo, re_pattern_buffer, ScanEnv
- sys_debug : cparse_params
- syserr : copy_stream_struct